Chromium Code Reviews
Help | Chromium Project | Sign in
(35)

Issue 7780033: Debugger: fix stepping next with trycatch recursion (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 9 months ago by indutny
Modified:
3 years, 9 months ago
CC:
v8-dev
Base URL:
gh:indutny/v8@master
Visibility:
Public.

Description

Debugger: fix stepping next with trycatch recursion Added depth check to StepNextContinue. Do step out and queue actual StepNext if check failed. R=yangguo@chromium.org,danno@chromium.org,vegorov@chromium.org BUG=v8:1639 TEST= Committed: http://code.google.com/p/v8/source/detail?r=9264

Patch Set 1 : v8: Debug StepOut if StepNext gone deeper #

Patch Set 2 : v8: Debug StepOut if StepNext gone deeper (skipBreak_ => skipBreak) #

Patch Set 3 : fix depth change check #

Patch Set 4 : fifixed code style #

Patch Set 5 : sort authors #

Total comments: 1

Patch Set 6 : remove queued_step_action_ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+49 lines, -2 lines) Patch
M AUTHORS View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M src/debug.h View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M src/debug.cc View 1 2 3 4 5 3 chunks +45 lines, -2 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 19 (0 generated)
indutny
3 years, 9 months ago (2011-09-12 10:09:16 UTC) #1
Yang
On 2011/09/12 10:09:16, indutny wrote: Thanks for the patch. I'll take a look into it ...
3 years, 9 months ago (2011-09-12 10:42:37 UTC) #2
indutny
On 2011/09/12 10:42:37, Yang wrote: > On 2011/09/12 10:09:16, indutny wrote: > > Thanks for ...
3 years, 9 months ago (2011-09-12 10:43:25 UTC) #3
indutny
Sorry, lines 982-985 are useless and came from obsolete implementation of fix.
3 years, 9 months ago (2011-09-12 11:13:33 UTC) #4
Yang
On 2011/09/12 11:13:33, indutny wrote: > Sorry, lines 982-985 are useless and came from obsolete ...
3 years, 9 months ago (2011-09-12 12:44:06 UTC) #5
indutny
Oh, I think I know what causes a problem, I'll push changes in a 10-20 ...
3 years, 9 months ago (2011-09-12 12:50:02 UTC) #6
Yang
On 2011/09/12 12:50:02, indutny wrote: > Oh, I think I know what causes a problem, ...
3 years, 9 months ago (2011-09-12 12:53:05 UTC) #7
indutny
3 years, 9 months ago (2011-09-12 13:07:23 UTC) #8
indutny
Oh, git-cl created second patch set, removed old one. `tools/test.py mjsunit/debug*` reports 0 errors now. ...
3 years, 9 months ago (2011-09-12 13:08:44 UTC) #9
indutny
3 years, 9 months ago (2011-09-12 13:19:41 UTC) #10
Yang
On 2011/09/12 13:19:41, indutny wrote: The mjsunit tests are not the only ones. If you ...
3 years, 9 months ago (2011-09-12 17:38:33 UTC) #11
indutny
Can you please provide me those tests' names?
3 years, 9 months ago (2011-09-12 17:44:20 UTC) #12
indutny
Nevermind, I know names now
3 years, 9 months ago (2011-09-12 17:53:32 UTC) #13
indutny
Fixed patch, 100% passing now
3 years, 9 months ago (2011-09-12 18:26:37 UTC) #14
indutny
So what is a current status of this issue? That blocks some of my work ...
3 years, 9 months ago (2011-09-13 14:15:43 UTC) #15
Yang
Looks pretty good so far, except for one little thing remarked below. You might want ...
3 years, 9 months ago (2011-09-13 14:23:16 UTC) #16
indutny
Ok, sounds good for me. Fixed and uploaded changes, tests are still passing.
3 years, 9 months ago (2011-09-13 14:32:03 UTC) #17
Yang
On 2011/09/13 14:32:03, indutny wrote: > Ok, sounds good for me. > Fixed and uploaded ...
3 years, 9 months ago (2011-09-13 14:38:26 UTC) #18
indutny
3 years, 9 months ago (2011-09-13 14:39:09 UTC) #19
Great! Thank you!
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1f9106d